XFCE-THEME-MANAGER(1)

NOM
xfce-theme-manager - Un gestionnaire de thèmes pour Xfce

RÉSUMÉ
xfce-theme-manager [option.1] ... [option.N]

DESCRIPTION
Ce manuel documente brièvement xfce-theme-manager.
xfce-theme-manager est un gestionnaire de thèmes permettant une configuration aisée des thèmes de bordures de fenêtres, contrôles, icônes, curseurs, fond d'écran, etc, pour Xfce4.

FONCTIONNEMENT
Lorsque xfce-theme-manager est lancé, l'utilisateur peut effectuer les opérations suivantes :
[Réinitialiser le thème]
Annuler toutes les modifications.
[Sauvegarder le thème]
Entrez un nom de thème personnalisé à sauvegarder ou à supprimer. Vous pouvez également supprimer rapidement un thème personnalisé en cliquant sur sa miniature, tout en maintenant la touche Contrôle du clavier enfoncée.
[À propos]
Crédits et autres trucs.
[Onglet avancé]
[Regénérer la BDD]
Regénérer la base de données.
[Xfce-Composite-Editor]
Lancer xfce4-composite-editor (si installé).
Disponible ici :
http://keithhedger.hostingsiteforfree.com/zips/Xfce4-Composite-Editor.tar.gz
Vous devez avoir gtkdialog version 0.8.x et BASH d'installer pour utiliser l'éditeur de composition.
[Ajustements de l'arrière plan]
Definir la Luminosité et la Saturation du fond d'écran.
[Agencement des boutons]
Disposition des boutons Fermer, Maximiser, etc (certains thèmes peuvent outrepasser cette option).
[Position du titre]
Placement du titre des fenêtres (certains thèmes peuvent outrepasser cette option).
[Sélection de la police]
Police des barres de titre et des applications
[Taille du curseur]
Définir la taille du curseur si le thème le prend en charge (fonctionne avec certains, d'autres non).
[Options d'affichage]
[Afficher les thèmes système]
Afficher les thèmes installés globalement.
[N'afficher que les thèmes personnalisés]
Montre seulement les méta-thèmes que vous avez créé, les méta-thèmes auto-générés ne seront pas affichés.
[Thèmes]
Afficher les méta-thèmes installés globalement.
[Bordures de fenêtres]
Afficher les thèmes Xfwm4 installés globalement.
[Contrôles]
Afficher les thèmes GTK installés globalement.
[Icônes]
Afficher les thèmes d'icônes installés globalement.
[Curseurs]
Afficher les thèmes de curseurs de souris installés globalement.
[Fonds d'écran]
Afficher les fonds d'écran installés globalement.
Les thèmes installés localement sont toujours affichés excepté pour les méta-themes si [N'afficher que les thèmes personnalisés] est activé.
Vous pouvez supprimer rapidement un thème personnalisé en maintenant la touche Contrôle du clavier enfoncée puis en cliquant sur sa miniature. Seuls les thèmes personnalisés que vous avez créés peuvent être supprimés et seule l'entrée de la base de données est effacée, rien n'est désinstallé de votre système.
Pour installer un thème GTK, d'icônes, de curseur, de bordure de fenêtre ou un fond d'écran, simplement glisser et déposer l'archive (les fonds d'écran ne doivent pas être archivés) n'importe où sur la fenêtre principale et si possible, le thème sera installé à l'endroit approprié. Toutes les installations sont locales et les formats pris en charge sont : "*.tgz","*.gz","*.zip","*.ta r","*.bz2" et les types de fonds d'écran pris en charge sont : "*.jpg","*.png","*.bmp" et "*.gif". Tout le reste devra être installé par vous-même.
Vous devez installer unzip pour glisser/déposer les archives au format .zip.
Les miniatures sont enregistrées dans ${HOME}/.config/XfceThemeManager.
La BDD est mise à jour automatiquement au ​​glisser/déposer. Si vous effectuez plusieurs installations et désinstallation de thèmes vous pourriez devoir lancer Regénérer la BDD dans l'onglet Avancé.
Les méta-thèmes sont des thèmes contenant un dossier gtk2 et un dossier xfwm4 (soit de bordures de fenêtres et de contrôles). S'il y a un fichier "index.theme" qui spécifie un thème d'icônes, il sera utilisé.

OPTIONS DE LIGNE DE COMMANDE
-v, --version
    Afficher les informations de version et quitter.
-u, --update-db
    Mettre à jour la base de données.
-r, --build-db
    Regénérer la base de données.
-n, --nogui
    Ne pas lancer l'interface graphique.
-t, --theme=ARG
    Définir le méta-thème à ARG.
-c, --controls=ARG
    Définir le thème des contrôles à ARG.
-w, --wmborder=ARG
    Définir le thème de bordure de fenêtres à ARG.
-i, --icons=ARG
    Définir le thème d'icônes à ARG.
-p, --cursors=ARG
    Définir le thème de curseur à ARG.
-b, --backdrop=ARG
    Définir le fond d'écran à ARG.
-m, --monitor
    Définir sur quel moniteur changer le fond d'écran (par défaut 0)
    -m peut être utilisé à plusieurs reprise sur la ligne de commande,
    la dernière valeur est utilisée, cela vous permet de définir des
    fonds d'écran pour plusieurs moniteurs en une seule fois.
-a, --panel=ARG
    Définir quel tableau de bord modifier (par défaut 1)
    -a peut être utilisé à plusieurs reprise sur la ligne de commande,
    la dernière valeur est utilisée, cela vous permet de définir des
    données pour plusieurs tableaux de bord en une seule fois.
-z, --panel-size=ARG
    Définir la taille de tableau de bord à ARG
-y, --panel-style=ARG
    Définir le style du tableau de bord à ARG
-g, --panel-image=ARG
    Définir le chemin vers l'image du tableau de bord à ARG
-d, --panel-alpha=ARG
    Définir l'opacité du tableau de bord à ARG (échelle de 0-100)
-o, --panel-colour=ARG
    Définir la couleur du tableau de bord à ARG en hexadécimal, soit
    ff00ff. ARG DOIT avoir exactement 6 caractères hexadécimal.
-l, --list=ARG
    Lister les entrées de la BDD, où ARG peut être "*Ctwcib".
    Où 'C' affiche les thèmes personnalisés, 't' affiche les thèmes, 'w' affiche les thèmes de bordure de fenêtres, 'c' affiche les thèmes des contrôles, 'i' affiche les thèmes d'icônes et 'b' affiche les fonds d'écran. Si le premier/seul caractère est un '*' toutes les entrées sont affichées.
-?, --help
    Afficher l'aide.
Les options tcwipblvh? équivalent toutes à -n.

EXEMPLES
Un certain nombre d'exemples de scripts pour une utilisation en ligne de commande peuvent être trouvés dans /PREFIX/share/Xfce-Theme-Manager/scripts. RandomGTK
Définir un thème GTK aléatoire.
RandomWMBorder
Définir un thème de bordure de fenêtres aléatoire.
RandomWallpaper
Définir un fond d'écran aléatoire sur tous les moniteurs.
RandomAll
Faire tout ce qui précède. - ATTENTION ! cela peut créer des combinaisons irritantes pour les yeux !
SequentialGTK
Chaque fois que le script est lancé, le thème GTK suivant d'une liste triée est utilisé.
SequentialWMBorder
Chaque fois que le script est lancé, le thème de bordure de fenêtres suivant d'une liste triée est utilisé.
SequentialWallpaper
Chaque fois que le script est lancé, le fond d'écran suivant d'une liste triée est utilisé.

AUTEUR
Xfce-Theme-Manager est écrit par Keith Hedger

Ce manuel a été écrit par Eduardo Echeverria <echevemaster@gmail.com>, pour le projet Fedora (et peut être utiliser par les autres), modifié par Keith Hedger, traduit par Pablo Morales Romero <pg.morales.romero@gmail.com> (Espagnol), Martin F. Schumann <mfs@mfs.name> (Allemand), Michał Olber (Polonais), Moatib <moatib@ymail.com> (Français).